/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
    'ko',
    'Magento_Ui/js/grid/columns/column'
], function (
    $,
    ko,
    Column
) {
    'use strict';

    return Column.extend({
        defaults: {
            headerTmpl: 'WriteTextAI_WriteTextAI/grid/columns/text'
        },

        /** @inheritdoc */
        initialize: function () {
            this._super();
        },

        /**
         * Get header css classes.
         */
        getCssClasses: function () {
            return 'data-grid-th wtai-th-target_keywords';
        }
    });
});
